Docs

Get File Tree

GET /Drives/{driveId}/partitions/{partitionId}/tree

GET/Drives/{driveId}/partitions/{partitionId}/tree

Returns the complete folder hierarchy of a partition with the current user's permissions on each folder, for building a navigation tree. The partitionId comes from Drives_GetDrivePartition.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
partitionIduuidRequired

Response

Type: GetFileTreeResponse[]

GetFileTreeResponse

FieldTypeDescription
iduuid
namestring| null
fullPathstring| null
permissionsstring[]| null